LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPrintSettingsSupplier Interface Referencepublished

offers printing related settings, which affect document rendering, but are not related to the printer itself. More...

`import"XPrintSettingsSupplier.idl";`

Inheritance diagram for XPrintSettingsSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getPrintSettings ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers printing related settings, which affect document rendering, but are not related to the printer itself.

## Member Function Documentation

## ◆ getPrintSettings()

com::sun::star::beans::XPropertySet getPrintSettings | ( |  | ) |

Returns
  a set of properties which are related to printing.

See also
  PrintSettings

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintSettingsSupplier.idl